BuildRequires: /proc
BuildRequires: jpackage-1.4-compat

Name:		jcifs
Version:	1.2.9
Release:	alt1_1jpp1.7
Epoch:		0
Summary:	Common Internet File System Client in 100% Java
License:	LGPL
Url:		http://jcifs.samba.org/
Source0:	http://jcifs.samba.org/src/jcifs-1.2.9.tgz
Group:		Development/Java
Buildarch:	noarch
Requires: servlet
BuildRequires: servlet
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires: %{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}_%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
rm examples/SmbTimeout.java

%build
export CLASSPATH=\
%{_javadir}/servlet.jar
%ant jar javadoc
export CLASSPATH=$(build-classpath servlet):`pwd`/%{name}-%{version}.jar
(cd examples && %javac *.java)

%install
# jar
mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}-%{version}.jar \
%{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -a docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
# data
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a examples/*.class %{buildroot}%{_datadir}/%{name}/examples

%clean
rm -rf %{buildroot}

%files
%doc README.txt docs/*.{html,txt,gif}

%{_javadir}/*
%dir %{_datadir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}

%files demo
%{_datadir}/%{name}/examples

%changelog
* Mon Jul 09 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2.9-alt1_1jpp1.7
- converted from JPackage by jppimport script

